OppiziDeveloper
API ReferenceAudiences & Designs

Your audiences

Your OWN reusable ADM audiences to link with link_campaign_audience. Always scoped to your client (cross-client → 403). Paginate with first (≤500) + skip; filter by ids/statuses; search on name. Notes: - Use an audience’s `id` as audienceId in link_campaign_audience. Composed from: direct PG SELECT on "Audience", forced client_scope = key.clientId

GET
/client/audiences

Your OWN reusable ADM audiences to link with link_campaign_audience. Always scoped to your client (cross-client → 403). Paginate with first (≤500) + skip; filter by ids/statuses; search on name.

Notes:

  • Use an audience’s id as audienceId in link_campaign_audience.

Composed from: direct PG SELECT on "Audience", forced client_scope = key.clientId

Authorization

clientKey
AuthorizationBearer <token>

Your Oppizi client key. Send it as Authorization: Bearer <client-key>. Scoped to your client account only.

In: header

Query Parameters

first?string

Page size 1..500 (default 50).

skip?string

Page offset (default 0).

Response Body

application/json

curl -X GET "https://example.com/client/audiences"
{  "success": true,  "data": {    "nodes": [      {        "id": "331",        "name": "Spring buyers",        "client_id": "450",        "status": "1"      }    ],    "totalCount": 1  }}
Empty
Empty
Empty
Empty
Empty